tifftopnm(1)

NAME
tifftopnm - convert a TIFF file into a portable anymap

SYNOPSIS
tifftopnm [--alphaout={alpha-filename,-}] [--headerdump] tiff-filename

DESCRIPTION
Reads a TIFF file as input. Produces a portable anymap as output. The type of the output file depends on the input file - if it's black & white, generates a pbm file; if it's grayscale, generates a pgm file; otherwise, a ppm file. The program tells you which type it is writing.

This program cannot read every possible TIFF file -- there are myriad variations of the TIFF format. However, it does understand monochrome and gray scale, RGB, RGBA (red/green/blue with alpha channel), CMYK (Cyan-Magenta-Yellow-Black ink color separation), and color palette TIFF files. An RGB file can have either single plane (interleaved) color or multiple plane format.

One reason this program isn't as general as TIFF programs often are is that it does not use the TIFFRGBAImageGet() function of the TIFF library to read TIFF files. Rather, it uses the more primitive TIFFReadScanLine() function and decodes it itself.

There is no fundamental reason that this program could not read other kinds of TIFF files; the existing limitations are mainly because no one has asked for more. The tiff-filename argument names the reguar file that contains the Tiff image. You cannot use Standard Input or any other special file because the Tiff library must be able to perform seeks on it.

OPTIONS

--alphaout=alpha-filename
    tifftopnm creates a PGM (portable graymap) file containing the alpha channel values in the input image. If the input image doesn't contain an alpha channel, the alpha-filename file contains all zero (transparent) alpha values. If you don't specify --alphaout, tifftopnm does not generate an alpha file, and if the input image has an alpha channel, tifftopnm simply discards it. If you specify - as the filename, tifftopnm writes the alpha output to Standard Output and discards the image. See pnmcomp(1) for one way to use the alpha output file.

--headerdump
    Dump TIFF file information to stderr. This information may be useful in debugging TIFF file conversion problems.

All options can be abbreviated to their shortest unique prefix.

SEE ALSO
pnmtotiff(1), pnmtotiffcmyk(1), pnmcomp(1), pnm(5)

AUTHOR
Derived by Jef Poskanzer from tif2ras.c, which is Copyright (c) 1990 by Sun Microsystems, Inc. Author: Patrick J. Naughton (naughton@wind.sun.com).